// src/components/generated/ion-accordion.tsx
import { template as _$template } from "solid-js/web";
import { getOwner as _$getOwner } from "solid-js/web";
import { spread as _$spread } from "solid-js/web";
import { mergeProps as _$mergeProps } from "solid-js/web";
import { defineCustomElement } from "@ionic/core/components/ion-accordion";

// src/utils/fixProps.ts
var NON_PROP_REGEX = /(^on[A-Z]|^(children|key|class|classList|style|ref)$|:)/;
function fixProps(props) {
  const newProps = {};
  const keys = Object.keys(props);
  for (const key of keys) {
    if (NON_PROP_REGEX.test(key)) {
      newProps[key] = props[key];
    } else {
      newProps[`prop:${key}`] = props[key];
    }
  }
  return newProps;
}

// src/components/generated/ion-accordion.tsx
var _tmpl$ = /* @__PURE__ */ _$template(`<ion-accordion>`, true, false);
defineCustomElement();
function IonAccordion(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$();
    _$spread(_el$, _$mergeProps(fixedProps), false, false);
    _el$._$owner = _$getOwner();
    return _el$;
  })();
}

// src/components/generated/ion-accordion-group.tsx
import { template as _$template2 } from "solid-js/web";
import { getOwner as _$getOwner2 } from "solid-js/web";
import { spread as _$spread2 } from "solid-js/web";
import { mergeProps as _$mergeProps2 } from "solid-js/web";
import { defineCustomElement as defineCustomElement2 } from "@ionic/core/components/ion-accordion-group";
var _tmpl$2 = /* @__PURE__ */ _$template2(`<ion-accordion-group>`, true, false);
defineCustomElement2();
function IonAccordionGroup(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$2();
    _$spread2(_el$, _$mergeProps2(fixedProps), false, false);
    _el$._$owner = _$getOwner2();
    return _el$;
  })();
}

// src/components/generated/ion-action-sheet.tsx
import { template as _$template3 } from "solid-js/web";
import { getOwner as _$getOwner3 } from "solid-js/web";
import { spread as _$spread3 } from "solid-js/web";
import { mergeProps as _$mergeProps3 } from "solid-js/web";
import { defineCustomElement as defineCustomElement3 } from "@ionic/core/components/ion-action-sheet";
var _tmpl$3 = /* @__PURE__ */ _$template3(`<ion-action-sheet>`, true, false);
defineCustomElement3();
function IonActionSheet(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$3();
    _$spread3(_el$, _$mergeProps3(fixedProps), false, false);
    _el$._$owner = _$getOwner3();
    return _el$;
  })();
}

// src/components/generated/ion-alert.tsx
import { template as _$template4 } from "solid-js/web";
import { getOwner as _$getOwner4 } from "solid-js/web";
import { spread as _$spread4 } from "solid-js/web";
import { mergeProps as _$mergeProps4 } from "solid-js/web";
import { defineCustomElement as defineCustomElement4 } from "@ionic/core/components/ion-alert";
var _tmpl$4 = /* @__PURE__ */ _$template4(`<ion-alert>`, true, false);
defineCustomElement4();
function IonAlert(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$4();
    _$spread4(_el$, _$mergeProps4(fixedProps), false, false);
    _el$._$owner = _$getOwner4();
    return _el$;
  })();
}

// src/components/generated/ion-app.tsx
import { template as _$template5 } from "solid-js/web";
import { getOwner as _$getOwner5 } from "solid-js/web";
import { spread as _$spread5 } from "solid-js/web";
import { mergeProps as _$mergeProps5 } from "solid-js/web";
import { defineCustomElement as defineCustomElement5 } from "@ionic/core/components/ion-app";
var _tmpl$5 = /* @__PURE__ */ _$template5(`<ion-app>`, true, false);
defineCustomElement5();
function IonApp(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$5();
    _$spread5(_el$, _$mergeProps5(fixedProps), false, false);
    _el$._$owner = _$getOwner5();
    return _el$;
  })();
}

// src/components/generated/ion-avatar.tsx
import { template as _$template6 } from "solid-js/web";
import { getOwner as _$getOwner6 } from "solid-js/web";
import { spread as _$spread6 } from "solid-js/web";
import { mergeProps as _$mergeProps6 } from "solid-js/web";
import { defineCustomElement as defineCustomElement6 } from "@ionic/core/components/ion-avatar";
var _tmpl$6 = /* @__PURE__ */ _$template6(`<ion-avatar>`, true, false);
defineCustomElement6();
function IonAvatar(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$6();
    _$spread6(_el$, _$mergeProps6(fixedProps), false, false);
    _el$._$owner = _$getOwner6();
    return _el$;
  })();
}

// src/components/generated/ion-back-button.tsx
import { template as _$template7 } from "solid-js/web";
import { getOwner as _$getOwner7 } from "solid-js/web";
import { spread as _$spread7 } from "solid-js/web";
import { mergeProps as _$mergeProps7 } from "solid-js/web";
import { defineCustomElement as defineCustomElement7 } from "@ionic/core/components/ion-back-button";
var _tmpl$7 = /* @__PURE__ */ _$template7(`<ion-back-button>`, true, false);
defineCustomElement7();
function IonBackButton(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$7();
    _$spread7(_el$, _$mergeProps7(fixedProps), false, false);
    _el$._$owner = _$getOwner7();
    return _el$;
  })();
}

// src/components/generated/ion-backdrop.tsx
import { template as _$template8 } from "solid-js/web";
import { getOwner as _$getOwner8 } from "solid-js/web";
import { spread as _$spread8 } from "solid-js/web";
import { mergeProps as _$mergeProps8 } from "solid-js/web";
import { defineCustomElement as defineCustomElement8 } from "@ionic/core/components/ion-backdrop";
var _tmpl$8 = /* @__PURE__ */ _$template8(`<ion-backdrop>`, true, false);
defineCustomElement8();
function IonBackdrop(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$8();
    _$spread8(_el$, _$mergeProps8(fixedProps), false, false);
    _el$._$owner = _$getOwner8();
    return _el$;
  })();
}

// src/components/generated/ion-badge.tsx
import { template as _$template9 } from "solid-js/web";
import { getOwner as _$getOwner9 } from "solid-js/web";
import { spread as _$spread9 } from "solid-js/web";
import { mergeProps as _$mergeProps9 } from "solid-js/web";
import { defineCustomElement as defineCustomElement9 } from "@ionic/core/components/ion-badge";
var _tmpl$9 = /* @__PURE__ */ _$template9(`<ion-badge>`, true, false);
defineCustomElement9();
function IonBadge(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$9();
    _$spread9(_el$, _$mergeProps9(fixedProps), false, false);
    _el$._$owner = _$getOwner9();
    return _el$;
  })();
}

// src/components/generated/ion-breadcrumb.tsx
import { template as _$template10 } from "solid-js/web";
import { getOwner as _$getOwner10 } from "solid-js/web";
import { spread as _$spread10 } from "solid-js/web";
import { mergeProps as _$mergeProps10 } from "solid-js/web";
import { defineCustomElement as defineCustomElement10 } from "@ionic/core/components/ion-breadcrumb";
var _tmpl$10 = /* @__PURE__ */ _$template10(`<ion-breadcrumb>`, true, false);
defineCustomElement10();
function IonBreadcrumb(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$10();
    _$spread10(_el$, _$mergeProps10(fixedProps), false, false);
    _el$._$owner = _$getOwner10();
    return _el$;
  })();
}

// src/components/generated/ion-breadcrumbs.tsx
import { template as _$template11 } from "solid-js/web";
import { getOwner as _$getOwner11 } from "solid-js/web";
import { spread as _$spread11 } from "solid-js/web";
import { mergeProps as _$mergeProps11 } from "solid-js/web";
import { defineCustomElement as defineCustomElement11 } from "@ionic/core/components/ion-breadcrumbs";
var _tmpl$11 = /* @__PURE__ */ _$template11(`<ion-breadcrumbs>`, true, false);
defineCustomElement11();
function IonBreadcrumbs(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$11();
    _$spread11(_el$, _$mergeProps11(fixedProps), false, false);
    _el$._$owner = _$getOwner11();
    return _el$;
  })();
}

// src/components/generated/ion-button.tsx
import { template as _$template12 } from "solid-js/web";
import { getOwner as _$getOwner12 } from "solid-js/web";
import { spread as _$spread12 } from "solid-js/web";
import { mergeProps as _$mergeProps12 } from "solid-js/web";
import { defineCustomElement as defineCustomElement12 } from "@ionic/core/components/ion-button";
var _tmpl$12 = /* @__PURE__ */ _$template12(`<ion-button>`, true, false);
defineCustomElement12();
function IonButton(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$12();
    _$spread12(_el$, _$mergeProps12(fixedProps), false, false);
    _el$._$owner = _$getOwner12();
    return _el$;
  })();
}

// src/components/generated/ion-buttons.tsx
import { template as _$template13 } from "solid-js/web";
import { getOwner as _$getOwner13 } from "solid-js/web";
import { spread as _$spread13 } from "solid-js/web";
import { mergeProps as _$mergeProps13 } from "solid-js/web";
import { defineCustomElement as defineCustomElement13 } from "@ionic/core/components/ion-buttons";
var _tmpl$13 = /* @__PURE__ */ _$template13(`<ion-buttons>`, true, false);
defineCustomElement13();
function IonButtons(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$13();
    _$spread13(_el$, _$mergeProps13(fixedProps), false, false);
    _el$._$owner = _$getOwner13();
    return _el$;
  })();
}

// src/components/generated/ion-card.tsx
import { template as _$template14 } from "solid-js/web";
import { getOwner as _$getOwner14 } from "solid-js/web";
import { spread as _$spread14 } from "solid-js/web";
import { mergeProps as _$mergeProps14 } from "solid-js/web";
import { defineCustomElement as defineCustomElement14 } from "@ionic/core/components/ion-card";
var _tmpl$14 = /* @__PURE__ */ _$template14(`<ion-card>`, true, false);
defineCustomElement14();
function IonCard(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$14();
    _$spread14(_el$, _$mergeProps14(fixedProps), false, false);
    _el$._$owner = _$getOwner14();
    return _el$;
  })();
}

// src/components/generated/ion-card-content.tsx
import { template as _$template15 } from "solid-js/web";
import { getOwner as _$getOwner15 } from "solid-js/web";
import { spread as _$spread15 } from "solid-js/web";
import { mergeProps as _$mergeProps15 } from "solid-js/web";
import { defineCustomElement as defineCustomElement15 } from "@ionic/core/components/ion-card-content";
var _tmpl$15 = /* @__PURE__ */ _$template15(`<ion-card-content>`, true, false);
defineCustomElement15();
function IonCardContent(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$15();
    _$spread15(_el$, _$mergeProps15(fixedProps), false, false);
    _el$._$owner = _$getOwner15();
    return _el$;
  })();
}

// src/components/generated/ion-card-header.tsx
import { template as _$template16 } from "solid-js/web";
import { getOwner as _$getOwner16 } from "solid-js/web";
import { spread as _$spread16 } from "solid-js/web";
import { mergeProps as _$mergeProps16 } from "solid-js/web";
import { defineCustomElement as defineCustomElement16 } from "@ionic/core/components/ion-card-header";
var _tmpl$16 = /* @__PURE__ */ _$template16(`<ion-card-header>`, true, false);
defineCustomElement16();
function IonCardHeader(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$16();
    _$spread16(_el$, _$mergeProps16(fixedProps), false, false);
    _el$._$owner = _$getOwner16();
    return _el$;
  })();
}

// src/components/generated/ion-card-subtitle.tsx
import { template as _$template17 } from "solid-js/web";
import { getOwner as _$getOwner17 } from "solid-js/web";
import { spread as _$spread17 } from "solid-js/web";
import { mergeProps as _$mergeProps17 } from "solid-js/web";
import { defineCustomElement as defineCustomElement17 } from "@ionic/core/components/ion-card-subtitle";
var _tmpl$17 = /* @__PURE__ */ _$template17(`<ion-card-subtitle>`, true, false);
defineCustomElement17();
function IonCardSubtitle(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$17();
    _$spread17(_el$, _$mergeProps17(fixedProps), false, false);
    _el$._$owner = _$getOwner17();
    return _el$;
  })();
}

// src/components/generated/ion-card-title.tsx
import { template as _$template18 } from "solid-js/web";
import { getOwner as _$getOwner18 } from "solid-js/web";
import { spread as _$spread18 } from "solid-js/web";
import { mergeProps as _$mergeProps18 } from "solid-js/web";
import { defineCustomElement as defineCustomElement18 } from "@ionic/core/components/ion-card-title";
var _tmpl$18 = /* @__PURE__ */ _$template18(`<ion-card-title>`, true, false);
defineCustomElement18();
function IonCardTitle(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$18();
    _$spread18(_el$, _$mergeProps18(fixedProps), false, false);
    _el$._$owner = _$getOwner18();
    return _el$;
  })();
}

// src/components/generated/ion-checkbox.tsx
import { template as _$template19 } from "solid-js/web";
import { getOwner as _$getOwner19 } from "solid-js/web";
import { spread as _$spread19 } from "solid-js/web";
import { mergeProps as _$mergeProps19 } from "solid-js/web";
import { defineCustomElement as defineCustomElement19 } from "@ionic/core/components/ion-checkbox";
var _tmpl$19 = /* @__PURE__ */ _$template19(`<ion-checkbox>`, true, false);
defineCustomElement19();
function IonCheckbox(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$19();
    _$spread19(_el$, _$mergeProps19(fixedProps), false, false);
    _el$._$owner = _$getOwner19();
    return _el$;
  })();
}

// src/components/generated/ion-chip.tsx
import { template as _$template20 } from "solid-js/web";
import { getOwner as _$getOwner20 } from "solid-js/web";
import { spread as _$spread20 } from "solid-js/web";
import { mergeProps as _$mergeProps20 } from "solid-js/web";
import { defineCustomElement as defineCustomElement20 } from "@ionic/core/components/ion-chip";
var _tmpl$20 = /* @__PURE__ */ _$template20(`<ion-chip>`, true, false);
defineCustomElement20();
function IonChip(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$20();
    _$spread20(_el$, _$mergeProps20(fixedProps), false, false);
    _el$._$owner = _$getOwner20();
    return _el$;
  })();
}

// src/components/generated/ion-col.tsx
import { template as _$template21 } from "solid-js/web";
import { getOwner as _$getOwner21 } from "solid-js/web";
import { spread as _$spread21 } from "solid-js/web";
import { mergeProps as _$mergeProps21 } from "solid-js/web";
import { defineCustomElement as defineCustomElement21 } from "@ionic/core/components/ion-col";
var _tmpl$21 = /* @__PURE__ */ _$template21(`<ion-col>`, true, false);
defineCustomElement21();
function IonCol(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$21();
    _$spread21(_el$, _$mergeProps21(fixedProps), false, false);
    _el$._$owner = _$getOwner21();
    return _el$;
  })();
}

// src/components/generated/ion-content.tsx
import { template as _$template22 } from "solid-js/web";
import { getOwner as _$getOwner22 } from "solid-js/web";
import { spread as _$spread22 } from "solid-js/web";
import { mergeProps as _$mergeProps22 } from "solid-js/web";
import { defineCustomElement as defineCustomElement22 } from "@ionic/core/components/ion-content";
var _tmpl$22 = /* @__PURE__ */ _$template22(`<ion-content>`, true, false);
defineCustomElement22();
function IonContent(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$22();
    _$spread22(_el$, _$mergeProps22(fixedProps), false, false);
    _el$._$owner = _$getOwner22();
    return _el$;
  })();
}

// src/components/generated/ion-datetime.tsx
import { template as _$template23 } from "solid-js/web";
import { getOwner as _$getOwner23 } from "solid-js/web";
import { spread as _$spread23 } from "solid-js/web";
import { mergeProps as _$mergeProps23 } from "solid-js/web";
import { defineCustomElement as defineCustomElement23 } from "@ionic/core/components/ion-datetime";
var _tmpl$23 = /* @__PURE__ */ _$template23(`<ion-datetime>`, true, false);
defineCustomElement23();
function IonDatetime(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$23();
    _$spread23(_el$, _$mergeProps23(fixedProps), false, false);
    _el$._$owner = _$getOwner23();
    return _el$;
  })();
}

// src/components/generated/ion-datetime-button.tsx
import { template as _$template24 } from "solid-js/web";
import { getOwner as _$getOwner24 } from "solid-js/web";
import { spread as _$spread24 } from "solid-js/web";
import { mergeProps as _$mergeProps24 } from "solid-js/web";
import { defineCustomElement as defineCustomElement24 } from "@ionic/core/components/ion-datetime-button";
var _tmpl$24 = /* @__PURE__ */ _$template24(`<ion-datetime-button>`, true, false);
defineCustomElement24();
function IonDatetimeButton(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$24();
    _$spread24(_el$, _$mergeProps24(fixedProps), false, false);
    _el$._$owner = _$getOwner24();
    return _el$;
  })();
}

// src/components/generated/ion-fab.tsx
import { template as _$template25 } from "solid-js/web";
import { getOwner as _$getOwner25 } from "solid-js/web";
import { spread as _$spread25 } from "solid-js/web";
import { mergeProps as _$mergeProps25 } from "solid-js/web";
import { defineCustomElement as defineCustomElement25 } from "@ionic/core/components/ion-fab";
var _tmpl$25 = /* @__PURE__ */ _$template25(`<ion-fab>`, true, false);
defineCustomElement25();
function IonFab(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$25();
    _$spread25(_el$, _$mergeProps25(fixedProps), false, false);
    _el$._$owner = _$getOwner25();
    return _el$;
  })();
}

// src/components/generated/ion-fab-button.tsx
import { template as _$template26 } from "solid-js/web";
import { getOwner as _$getOwner26 } from "solid-js/web";
import { spread as _$spread26 } from "solid-js/web";
import { mergeProps as _$mergeProps26 } from "solid-js/web";
import { defineCustomElement as defineCustomElement26 } from "@ionic/core/components/ion-fab-button";
var _tmpl$26 = /* @__PURE__ */ _$template26(`<ion-fab-button>`, true, false);
defineCustomElement26();
function IonFabButton(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$26();
    _$spread26(_el$, _$mergeProps26(fixedProps), false, false);
    _el$._$owner = _$getOwner26();
    return _el$;
  })();
}

// src/components/generated/ion-fab-list.tsx
import { template as _$template27 } from "solid-js/web";
import { getOwner as _$getOwner27 } from "solid-js/web";
import { spread as _$spread27 } from "solid-js/web";
import { mergeProps as _$mergeProps27 } from "solid-js/web";
import { defineCustomElement as defineCustomElement27 } from "@ionic/core/components/ion-fab-list";
var _tmpl$27 = /* @__PURE__ */ _$template27(`<ion-fab-list>`, true, false);
defineCustomElement27();
function IonFabList(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$27();
    _$spread27(_el$, _$mergeProps27(fixedProps), false, false);
    _el$._$owner = _$getOwner27();
    return _el$;
  })();
}

// src/components/generated/ion-footer.tsx
import { template as _$template28 } from "solid-js/web";
import { getOwner as _$getOwner28 } from "solid-js/web";
import { spread as _$spread28 } from "solid-js/web";
import { mergeProps as _$mergeProps28 } from "solid-js/web";
import { defineCustomElement as defineCustomElement28 } from "@ionic/core/components/ion-footer";
var _tmpl$28 = /* @__PURE__ */ _$template28(`<ion-footer>`, true, false);
defineCustomElement28();
function IonFooter(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$28();
    _$spread28(_el$, _$mergeProps28(fixedProps), false, false);
    _el$._$owner = _$getOwner28();
    return _el$;
  })();
}

// src/components/generated/ion-grid.tsx
import { template as _$template29 } from "solid-js/web";
import { getOwner as _$getOwner29 } from "solid-js/web";
import { spread as _$spread29 } from "solid-js/web";
import { mergeProps as _$mergeProps29 } from "solid-js/web";
import { defineCustomElement as defineCustomElement29 } from "@ionic/core/components/ion-grid";
var _tmpl$29 = /* @__PURE__ */ _$template29(`<ion-grid>`, true, false);
defineCustomElement29();
function IonGrid(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$29();
    _$spread29(_el$, _$mergeProps29(fixedProps), false, false);
    _el$._$owner = _$getOwner29();
    return _el$;
  })();
}

// src/components/generated/ion-header.tsx
import { template as _$template30 } from "solid-js/web";
import { getOwner as _$getOwner30 } from "solid-js/web";
import { spread as _$spread30 } from "solid-js/web";
import { mergeProps as _$mergeProps30 } from "solid-js/web";
import { defineCustomElement as defineCustomElement30 } from "@ionic/core/components/ion-header";
var _tmpl$30 = /* @__PURE__ */ _$template30(`<ion-header>`, true, false);
defineCustomElement30();
function IonHeader(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$30();
    _$spread30(_el$, _$mergeProps30(fixedProps), false, false);
    _el$._$owner = _$getOwner30();
    return _el$;
  })();
}

// src/components/generated/ion-img.tsx
import { template as _$template31 } from "solid-js/web";
import { getOwner as _$getOwner31 } from "solid-js/web";
import { spread as _$spread31 } from "solid-js/web";
import { mergeProps as _$mergeProps31 } from "solid-js/web";
import { defineCustomElement as defineCustomElement31 } from "@ionic/core/components/ion-img";
var _tmpl$31 = /* @__PURE__ */ _$template31(`<ion-img>`, true, false);
defineCustomElement31();
function IonImg(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$31();
    _$spread31(_el$, _$mergeProps31(fixedProps), false, false);
    _el$._$owner = _$getOwner31();
    return _el$;
  })();
}

// src/components/generated/ion-infinite-scroll.tsx
import { template as _$template32 } from "solid-js/web";
import { getOwner as _$getOwner32 } from "solid-js/web";
import { spread as _$spread32 } from "solid-js/web";
import { mergeProps as _$mergeProps32 } from "solid-js/web";
import { defineCustomElement as defineCustomElement32 } from "@ionic/core/components/ion-infinite-scroll";
var _tmpl$32 = /* @__PURE__ */ _$template32(`<ion-infinite-scroll>`, true, false);
defineCustomElement32();
function IonInfiniteScroll(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$32();
    _$spread32(_el$, _$mergeProps32(fixedProps), false, false);
    _el$._$owner = _$getOwner32();
    return _el$;
  })();
}

// src/components/generated/ion-infinite-scroll-content.tsx
import { template as _$template33 } from "solid-js/web";
import { getOwner as _$getOwner33 } from "solid-js/web";
import { spread as _$spread33 } from "solid-js/web";
import { mergeProps as _$mergeProps33 } from "solid-js/web";
import { defineCustomElement as defineCustomElement33 } from "@ionic/core/components/ion-infinite-scroll-content";
var _tmpl$33 = /* @__PURE__ */ _$template33(`<ion-infinite-scroll-content>`, true, false);
defineCustomElement33();
function IonInfiniteScrollContent(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$33();
    _$spread33(_el$, _$mergeProps33(fixedProps), false, false);
    _el$._$owner = _$getOwner33();
    return _el$;
  })();
}

// src/components/generated/ion-input.tsx
import { template as _$template34 } from "solid-js/web";
import { getOwner as _$getOwner34 } from "solid-js/web";
import { spread as _$spread34 } from "solid-js/web";
import { mergeProps as _$mergeProps34 } from "solid-js/web";
import { defineCustomElement as defineCustomElement34 } from "@ionic/core/components/ion-input";
var _tmpl$34 = /* @__PURE__ */ _$template34(`<ion-input>`, true, false);
defineCustomElement34();
function IonInput(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$34();
    _$spread34(_el$, _$mergeProps34(fixedProps), false, false);
    _el$._$owner = _$getOwner34();
    return _el$;
  })();
}

// src/components/generated/ion-input-password-toggle.tsx
import { template as _$template35 } from "solid-js/web";
import { getOwner as _$getOwner35 } from "solid-js/web";
import { spread as _$spread35 } from "solid-js/web";
import { mergeProps as _$mergeProps35 } from "solid-js/web";
import { defineCustomElement as defineCustomElement35 } from "@ionic/core/components/ion-input-password-toggle";
var _tmpl$35 = /* @__PURE__ */ _$template35(`<ion-input-password-toggle>`, true, false);
defineCustomElement35();
function IonInputPasswordToggle(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$35();
    _$spread35(_el$, _$mergeProps35(fixedProps), false, false);
    _el$._$owner = _$getOwner35();
    return _el$;
  })();
}

// src/components/generated/ion-item.tsx
import { template as _$template36 } from "solid-js/web";
import { getOwner as _$getOwner36 } from "solid-js/web";
import { spread as _$spread36 } from "solid-js/web";
import { mergeProps as _$mergeProps36 } from "solid-js/web";
import { defineCustomElement as defineCustomElement36 } from "@ionic/core/components/ion-item";
var _tmpl$36 = /* @__PURE__ */ _$template36(`<ion-item>`, true, false);
defineCustomElement36();
function IonItem(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$36();
    _$spread36(_el$, _$mergeProps36(fixedProps), false, false);
    _el$._$owner = _$getOwner36();
    return _el$;
  })();
}

// src/components/generated/ion-item-divider.tsx
import { template as _$template37 } from "solid-js/web";
import { getOwner as _$getOwner37 } from "solid-js/web";
import { spread as _$spread37 } from "solid-js/web";
import { mergeProps as _$mergeProps37 } from "solid-js/web";
import { defineCustomElement as defineCustomElement37 } from "@ionic/core/components/ion-item-divider";
var _tmpl$37 = /* @__PURE__ */ _$template37(`<ion-item-divider>`, true, false);
defineCustomElement37();
function IonItemDivider(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$37();
    _$spread37(_el$, _$mergeProps37(fixedProps), false, false);
    _el$._$owner = _$getOwner37();
    return _el$;
  })();
}

// src/components/generated/ion-item-group.tsx
import { template as _$template38 } from "solid-js/web";
import { getOwner as _$getOwner38 } from "solid-js/web";
import { spread as _$spread38 } from "solid-js/web";
import { mergeProps as _$mergeProps38 } from "solid-js/web";
import { defineCustomElement as defineCustomElement38 } from "@ionic/core/components/ion-item-group";
var _tmpl$38 = /* @__PURE__ */ _$template38(`<ion-item-group>`, true, false);
defineCustomElement38();
function IonItemGroup(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$38();
    _$spread38(_el$, _$mergeProps38(fixedProps), false, false);
    _el$._$owner = _$getOwner38();
    return _el$;
  })();
}

// src/components/generated/ion-item-option.tsx
import { template as _$template39 } from "solid-js/web";
import { getOwner as _$getOwner39 } from "solid-js/web";
import { spread as _$spread39 } from "solid-js/web";
import { mergeProps as _$mergeProps39 } from "solid-js/web";
import { defineCustomElement as defineCustomElement39 } from "@ionic/core/components/ion-item-option";
var _tmpl$39 = /* @__PURE__ */ _$template39(`<ion-item-option>`, true, false);
defineCustomElement39();
function IonItemOption(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$39();
    _$spread39(_el$, _$mergeProps39(fixedProps), false, false);
    _el$._$owner = _$getOwner39();
    return _el$;
  })();
}

// src/components/generated/ion-item-options.tsx
import { template as _$template40 } from "solid-js/web";
import { getOwner as _$getOwner40 } from "solid-js/web";
import { spread as _$spread40 } from "solid-js/web";
import { mergeProps as _$mergeProps40 } from "solid-js/web";
import { defineCustomElement as defineCustomElement40 } from "@ionic/core/components/ion-item-options";
var _tmpl$40 = /* @__PURE__ */ _$template40(`<ion-item-options>`, true, false);
defineCustomElement40();
function IonItemOptions(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$40();
    _$spread40(_el$, _$mergeProps40(fixedProps), false, false);
    _el$._$owner = _$getOwner40();
    return _el$;
  })();
}

// src/components/generated/ion-item-sliding.tsx
import { template as _$template41 } from "solid-js/web";
import { getOwner as _$getOwner41 } from "solid-js/web";
import { spread as _$spread41 } from "solid-js/web";
import { mergeProps as _$mergeProps41 } from "solid-js/web";
import { defineCustomElement as defineCustomElement41 } from "@ionic/core/components/ion-item-sliding";
var _tmpl$41 = /* @__PURE__ */ _$template41(`<ion-item-sliding>`, true, false);
defineCustomElement41();
function IonItemSliding(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$41();
    _$spread41(_el$, _$mergeProps41(fixedProps), false, false);
    _el$._$owner = _$getOwner41();
    return _el$;
  })();
}

// src/components/generated/ion-label.tsx
import { template as _$template42 } from "solid-js/web";
import { getOwner as _$getOwner42 } from "solid-js/web";
import { spread as _$spread42 } from "solid-js/web";
import { mergeProps as _$mergeProps42 } from "solid-js/web";
import { defineCustomElement as defineCustomElement42 } from "@ionic/core/components/ion-label";
var _tmpl$42 = /* @__PURE__ */ _$template42(`<ion-label>`, true, false);
defineCustomElement42();
function IonLabel(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$42();
    _$spread42(_el$, _$mergeProps42(fixedProps), false, false);
    _el$._$owner = _$getOwner42();
    return _el$;
  })();
}

// src/components/generated/ion-list.tsx
import { template as _$template43 } from "solid-js/web";
import { getOwner as _$getOwner43 } from "solid-js/web";
import { spread as _$spread43 } from "solid-js/web";
import { mergeProps as _$mergeProps43 } from "solid-js/web";
import { defineCustomElement as defineCustomElement43 } from "@ionic/core/components/ion-list";
var _tmpl$43 = /* @__PURE__ */ _$template43(`<ion-list>`, true, false);
defineCustomElement43();
function IonList(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$43();
    _$spread43(_el$, _$mergeProps43(fixedProps), false, false);
    _el$._$owner = _$getOwner43();
    return _el$;
  })();
}

// src/components/generated/ion-list-header.tsx
import { template as _$template44 } from "solid-js/web";
import { getOwner as _$getOwner44 } from "solid-js/web";
import { spread as _$spread44 } from "solid-js/web";
import { mergeProps as _$mergeProps44 } from "solid-js/web";
import { defineCustomElement as defineCustomElement44 } from "@ionic/core/components/ion-list-header";
var _tmpl$44 = /* @__PURE__ */ _$template44(`<ion-list-header>`, true, false);
defineCustomElement44();
function IonListHeader(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$44();
    _$spread44(_el$, _$mergeProps44(fixedProps), false, false);
    _el$._$owner = _$getOwner44();
    return _el$;
  })();
}

// src/components/generated/ion-loading.tsx
import { template as _$template45 } from "solid-js/web";
import { getOwner as _$getOwner45 } from "solid-js/web";
import { spread as _$spread45 } from "solid-js/web";
import { mergeProps as _$mergeProps45 } from "solid-js/web";
import { defineCustomElement as defineCustomElement45 } from "@ionic/core/components/ion-loading";
var _tmpl$45 = /* @__PURE__ */ _$template45(`<ion-loading>`, true, false);
defineCustomElement45();
function IonLoading(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$45();
    _$spread45(_el$, _$mergeProps45(fixedProps), false, false);
    _el$._$owner = _$getOwner45();
    return _el$;
  })();
}

// src/components/generated/ion-menu.tsx
import { template as _$template46 } from "solid-js/web";
import { getOwner as _$getOwner46 } from "solid-js/web";
import { spread as _$spread46 } from "solid-js/web";
import { mergeProps as _$mergeProps46 } from "solid-js/web";
import { defineCustomElement as defineCustomElement46 } from "@ionic/core/components/ion-menu";
var _tmpl$46 = /* @__PURE__ */ _$template46(`<ion-menu>`, true, false);
defineCustomElement46();
function IonMenu(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$46();
    _$spread46(_el$, _$mergeProps46(fixedProps), false, false);
    _el$._$owner = _$getOwner46();
    return _el$;
  })();
}

// src/components/generated/ion-menu-button.tsx
import { template as _$template47 } from "solid-js/web";
import { getOwner as _$getOwner47 } from "solid-js/web";
import { spread as _$spread47 } from "solid-js/web";
import { mergeProps as _$mergeProps47 } from "solid-js/web";
import { defineCustomElement as defineCustomElement47 } from "@ionic/core/components/ion-menu-button";
var _tmpl$47 = /* @__PURE__ */ _$template47(`<ion-menu-button>`, true, false);
defineCustomElement47();
function IonMenuButton(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$47();
    _$spread47(_el$, _$mergeProps47(fixedProps), false, false);
    _el$._$owner = _$getOwner47();
    return _el$;
  })();
}

// src/components/generated/ion-menu-toggle.tsx
import { template as _$template48 } from "solid-js/web";
import { getOwner as _$getOwner48 } from "solid-js/web";
import { spread as _$spread48 } from "solid-js/web";
import { mergeProps as _$mergeProps48 } from "solid-js/web";
import { defineCustomElement as defineCustomElement48 } from "@ionic/core/components/ion-menu-toggle";
var _tmpl$48 = /* @__PURE__ */ _$template48(`<ion-menu-toggle>`, true, false);
defineCustomElement48();
function IonMenuToggle(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$48();
    _$spread48(_el$, _$mergeProps48(fixedProps), false, false);
    _el$._$owner = _$getOwner48();
    return _el$;
  })();
}

// src/components/generated/ion-modal.tsx
import { template as _$template49 } from "solid-js/web";
import { getOwner as _$getOwner49 } from "solid-js/web";
import { spread as _$spread49 } from "solid-js/web";
import { mergeProps as _$mergeProps49 } from "solid-js/web";
import { defineCustomElement as defineCustomElement49 } from "@ionic/core/components/ion-modal";
var _tmpl$49 = /* @__PURE__ */ _$template49(`<ion-modal>`, true, false);
defineCustomElement49();
function IonModal(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$49();
    _$spread49(_el$, _$mergeProps49(fixedProps), false, false);
    _el$._$owner = _$getOwner49();
    return _el$;
  })();
}

// src/components/generated/ion-nav.tsx
import { template as _$template50 } from "solid-js/web";
import { getOwner as _$getOwner50 } from "solid-js/web";
import { spread as _$spread50 } from "solid-js/web";
import { mergeProps as _$mergeProps50 } from "solid-js/web";
import { defineCustomElement as defineCustomElement50 } from "@ionic/core/components/ion-nav";
var _tmpl$50 = /* @__PURE__ */ _$template50(`<ion-nav>`, true, false);
defineCustomElement50();
function IonNav(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$50();
    _$spread50(_el$, _$mergeProps50(fixedProps), false, false);
    _el$._$owner = _$getOwner50();
    return _el$;
  })();
}

// src/components/generated/ion-nav-link.tsx
import { template as _$template51 } from "solid-js/web";
import { getOwner as _$getOwner51 } from "solid-js/web";
import { spread as _$spread51 } from "solid-js/web";
import { mergeProps as _$mergeProps51 } from "solid-js/web";
import { defineCustomElement as defineCustomElement51 } from "@ionic/core/components/ion-nav-link";
var _tmpl$51 = /* @__PURE__ */ _$template51(`<ion-nav-link>`, true, false);
defineCustomElement51();
function IonNavLink(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$51();
    _$spread51(_el$, _$mergeProps51(fixedProps), false, false);
    _el$._$owner = _$getOwner51();
    return _el$;
  })();
}

// src/components/generated/ion-note.tsx
import { template as _$template52 } from "solid-js/web";
import { getOwner as _$getOwner52 } from "solid-js/web";
import { spread as _$spread52 } from "solid-js/web";
import { mergeProps as _$mergeProps52 } from "solid-js/web";
import { defineCustomElement as defineCustomElement52 } from "@ionic/core/components/ion-note";
var _tmpl$52 = /* @__PURE__ */ _$template52(`<ion-note>`, true, false);
defineCustomElement52();
function IonNote(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$52();
    _$spread52(_el$, _$mergeProps52(fixedProps), false, false);
    _el$._$owner = _$getOwner52();
    return _el$;
  })();
}

// src/components/generated/ion-picker.tsx
import { template as _$template53 } from "solid-js/web";
import { getOwner as _$getOwner53 } from "solid-js/web";
import { spread as _$spread53 } from "solid-js/web";
import { mergeProps as _$mergeProps53 } from "solid-js/web";
import { defineCustomElement as defineCustomElement53 } from "@ionic/core/components/ion-picker";
var _tmpl$53 = /* @__PURE__ */ _$template53(`<ion-picker>`, true, false);
defineCustomElement53();
function IonPicker(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$53();
    _$spread53(_el$, _$mergeProps53(fixedProps), false, false);
    _el$._$owner = _$getOwner53();
    return _el$;
  })();
}

// src/components/generated/ion-picker-column.tsx
import { template as _$template54 } from "solid-js/web";
import { getOwner as _$getOwner54 } from "solid-js/web";
import { spread as _$spread54 } from "solid-js/web";
import { mergeProps as _$mergeProps54 } from "solid-js/web";
import { defineCustomElement as defineCustomElement54 } from "@ionic/core/components/ion-picker-column";
var _tmpl$54 = /* @__PURE__ */ _$template54(`<ion-picker-column>`, true, false);
defineCustomElement54();
function IonPickerColumn(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$54();
    _$spread54(_el$, _$mergeProps54(fixedProps), false, false);
    _el$._$owner = _$getOwner54();
    return _el$;
  })();
}

// src/components/generated/ion-picker-column-option.tsx
import { template as _$template55 } from "solid-js/web";
import { getOwner as _$getOwner55 } from "solid-js/web";
import { spread as _$spread55 } from "solid-js/web";
import { mergeProps as _$mergeProps55 } from "solid-js/web";
import { defineCustomElement as defineCustomElement55 } from "@ionic/core/components/ion-picker-column-option";
var _tmpl$55 = /* @__PURE__ */ _$template55(`<ion-picker-column-option>`, true, false);
defineCustomElement55();
function IonPickerColumnOption(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$55();
    _$spread55(_el$, _$mergeProps55(fixedProps), false, false);
    _el$._$owner = _$getOwner55();
    return _el$;
  })();
}

// src/components/generated/ion-picker-legacy.tsx
import { template as _$template56 } from "solid-js/web";
import { getOwner as _$getOwner56 } from "solid-js/web";
import { spread as _$spread56 } from "solid-js/web";
import { mergeProps as _$mergeProps56 } from "solid-js/web";
import { defineCustomElement as defineCustomElement56 } from "@ionic/core/components/ion-picker-legacy";
var _tmpl$56 = /* @__PURE__ */ _$template56(`<ion-picker-legacy>`, true, false);
defineCustomElement56();
function IonPickerLegacy(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$56();
    _$spread56(_el$, _$mergeProps56(fixedProps), false, false);
    _el$._$owner = _$getOwner56();
    return _el$;
  })();
}

// src/components/generated/ion-picker-legacy-column.tsx
import { template as _$template57 } from "solid-js/web";
import { getOwner as _$getOwner57 } from "solid-js/web";
import { spread as _$spread57 } from "solid-js/web";
import { mergeProps as _$mergeProps57 } from "solid-js/web";
import { defineCustomElement as defineCustomElement57 } from "@ionic/core/components/ion-picker-legacy-column";
var _tmpl$57 = /* @__PURE__ */ _$template57(`<ion-picker-legacy-column>`, true, false);
defineCustomElement57();
function IonPickerLegacyColumn(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$57();
    _$spread57(_el$, _$mergeProps57(fixedProps), false, false);
    _el$._$owner = _$getOwner57();
    return _el$;
  })();
}

// src/components/generated/ion-popover.tsx
import { template as _$template58 } from "solid-js/web";
import { getOwner as _$getOwner58 } from "solid-js/web";
import { spread as _$spread58 } from "solid-js/web";
import { mergeProps as _$mergeProps58 } from "solid-js/web";
import { defineCustomElement as defineCustomElement58 } from "@ionic/core/components/ion-popover";
var _tmpl$58 = /* @__PURE__ */ _$template58(`<ion-popover>`, true, false);
defineCustomElement58();
function IonPopover(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$58();
    _$spread58(_el$, _$mergeProps58(fixedProps), false, false);
    _el$._$owner = _$getOwner58();
    return _el$;
  })();
}

// src/components/generated/ion-progress-bar.tsx
import { template as _$template59 } from "solid-js/web";
import { getOwner as _$getOwner59 } from "solid-js/web";
import { spread as _$spread59 } from "solid-js/web";
import { mergeProps as _$mergeProps59 } from "solid-js/web";
import { defineCustomElement as defineCustomElement59 } from "@ionic/core/components/ion-progress-bar";
var _tmpl$59 = /* @__PURE__ */ _$template59(`<ion-progress-bar>`, true, false);
defineCustomElement59();
function IonProgressBar(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$59();
    _$spread59(_el$, _$mergeProps59(fixedProps), false, false);
    _el$._$owner = _$getOwner59();
    return _el$;
  })();
}

// src/components/generated/ion-radio.tsx
import { template as _$template60 } from "solid-js/web";
import { getOwner as _$getOwner60 } from "solid-js/web";
import { spread as _$spread60 } from "solid-js/web";
import { mergeProps as _$mergeProps60 } from "solid-js/web";
import { defineCustomElement as defineCustomElement60 } from "@ionic/core/components/ion-radio";
var _tmpl$60 = /* @__PURE__ */ _$template60(`<ion-radio>`, true, false);
defineCustomElement60();
function IonRadio(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$60();
    _$spread60(_el$, _$mergeProps60(fixedProps), false, false);
    _el$._$owner = _$getOwner60();
    return _el$;
  })();
}

// src/components/generated/ion-radio-group.tsx
import { template as _$template61 } from "solid-js/web";
import { getOwner as _$getOwner61 } from "solid-js/web";
import { spread as _$spread61 } from "solid-js/web";
import { mergeProps as _$mergeProps61 } from "solid-js/web";
import { defineCustomElement as defineCustomElement61 } from "@ionic/core/components/ion-radio-group";
var _tmpl$61 = /* @__PURE__ */ _$template61(`<ion-radio-group>`, true, false);
defineCustomElement61();
function IonRadioGroup(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$61();
    _$spread61(_el$, _$mergeProps61(fixedProps), false, false);
    _el$._$owner = _$getOwner61();
    return _el$;
  })();
}

// src/components/generated/ion-range.tsx
import { template as _$template62 } from "solid-js/web";
import { getOwner as _$getOwner62 } from "solid-js/web";
import { spread as _$spread62 } from "solid-js/web";
import { mergeProps as _$mergeProps62 } from "solid-js/web";
import { defineCustomElement as defineCustomElement62 } from "@ionic/core/components/ion-range";
var _tmpl$62 = /* @__PURE__ */ _$template62(`<ion-range>`, true, false);
defineCustomElement62();
function IonRange(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$62();
    _$spread62(_el$, _$mergeProps62(fixedProps), false, false);
    _el$._$owner = _$getOwner62();
    return _el$;
  })();
}

// src/components/generated/ion-refresher.tsx
import { template as _$template63 } from "solid-js/web";
import { getOwner as _$getOwner63 } from "solid-js/web";
import { spread as _$spread63 } from "solid-js/web";
import { mergeProps as _$mergeProps63 } from "solid-js/web";
import { defineCustomElement as defineCustomElement63 } from "@ionic/core/components/ion-refresher";
var _tmpl$63 = /* @__PURE__ */ _$template63(`<ion-refresher>`, true, false);
defineCustomElement63();
function IonRefresher(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$63();
    _$spread63(_el$, _$mergeProps63(fixedProps), false, false);
    _el$._$owner = _$getOwner63();
    return _el$;
  })();
}

// src/components/generated/ion-refresher-content.tsx
import { template as _$template64 } from "solid-js/web";
import { getOwner as _$getOwner64 } from "solid-js/web";
import { spread as _$spread64 } from "solid-js/web";
import { mergeProps as _$mergeProps64 } from "solid-js/web";
import { defineCustomElement as defineCustomElement64 } from "@ionic/core/components/ion-refresher-content";
var _tmpl$64 = /* @__PURE__ */ _$template64(`<ion-refresher-content>`, true, false);
defineCustomElement64();
function IonRefresherContent(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$64();
    _$spread64(_el$, _$mergeProps64(fixedProps), false, false);
    _el$._$owner = _$getOwner64();
    return _el$;
  })();
}

// src/components/generated/ion-reorder.tsx
import { template as _$template65 } from "solid-js/web";
import { getOwner as _$getOwner65 } from "solid-js/web";
import { spread as _$spread65 } from "solid-js/web";
import { mergeProps as _$mergeProps65 } from "solid-js/web";
import { defineCustomElement as defineCustomElement65 } from "@ionic/core/components/ion-reorder";
var _tmpl$65 = /* @__PURE__ */ _$template65(`<ion-reorder>`, true, false);
defineCustomElement65();
function IonReorder(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$65();
    _$spread65(_el$, _$mergeProps65(fixedProps), false, false);
    _el$._$owner = _$getOwner65();
    return _el$;
  })();
}

// src/components/generated/ion-reorder-group.tsx
import { template as _$template66 } from "solid-js/web";
import { getOwner as _$getOwner66 } from "solid-js/web";
import { spread as _$spread66 } from "solid-js/web";
import { mergeProps as _$mergeProps66 } from "solid-js/web";
import { defineCustomElement as defineCustomElement66 } from "@ionic/core/components/ion-reorder-group";
var _tmpl$66 = /* @__PURE__ */ _$template66(`<ion-reorder-group>`, true, false);
defineCustomElement66();
function IonReorderGroup(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$66();
    _$spread66(_el$, _$mergeProps66(fixedProps), false, false);
    _el$._$owner = _$getOwner66();
    return _el$;
  })();
}

// src/components/generated/ion-ripple-effect.tsx
import { template as _$template67 } from "solid-js/web";
import { getOwner as _$getOwner67 } from "solid-js/web";
import { spread as _$spread67 } from "solid-js/web";
import { mergeProps as _$mergeProps67 } from "solid-js/web";
import { defineCustomElement as defineCustomElement67 } from "@ionic/core/components/ion-ripple-effect";
var _tmpl$67 = /* @__PURE__ */ _$template67(`<ion-ripple-effect>`, true, false);
defineCustomElement67();
function IonRippleEffect(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$67();
    _$spread67(_el$, _$mergeProps67(fixedProps), false, false);
    _el$._$owner = _$getOwner67();
    return _el$;
  })();
}

// src/components/generated/ion-route-redirect.tsx
import { template as _$template68 } from "solid-js/web";
import { getOwner as _$getOwner68 } from "solid-js/web";
import { spread as _$spread68 } from "solid-js/web";
import { mergeProps as _$mergeProps68 } from "solid-js/web";
import { defineCustomElement as defineCustomElement68 } from "@ionic/core/components/ion-route-redirect";
var _tmpl$68 = /* @__PURE__ */ _$template68(`<ion-route-redirect>`, true, false);
defineCustomElement68();
function IonRouteRedirect(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$68();
    _$spread68(_el$, _$mergeProps68(fixedProps), false, false);
    _el$._$owner = _$getOwner68();
    return _el$;
  })();
}

// src/components/generated/ion-router-link.tsx
import { template as _$template69 } from "solid-js/web";
import { getOwner as _$getOwner69 } from "solid-js/web";
import { spread as _$spread69 } from "solid-js/web";
import { mergeProps as _$mergeProps69 } from "solid-js/web";
import { defineCustomElement as defineCustomElement69 } from "@ionic/core/components/ion-router-link";
var _tmpl$69 = /* @__PURE__ */ _$template69(`<ion-router-link>`, true, false);
defineCustomElement69();
function IonRouterLink(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$69();
    _$spread69(_el$, _$mergeProps69(fixedProps), false, false);
    _el$._$owner = _$getOwner69();
    return _el$;
  })();
}

// src/components/generated/ion-router-outlet.tsx
import { template as _$template70 } from "solid-js/web";
import { getOwner as _$getOwner70 } from "solid-js/web";
import { spread as _$spread70 } from "solid-js/web";
import { mergeProps as _$mergeProps70 } from "solid-js/web";
import { defineCustomElement as defineCustomElement70 } from "@ionic/core/components/ion-router-outlet";
var _tmpl$70 = /* @__PURE__ */ _$template70(`<ion-router-outlet>`, true, false);
defineCustomElement70();
function IonRouterOutlet(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$70();
    _$spread70(_el$, _$mergeProps70(fixedProps), false, false);
    _el$._$owner = _$getOwner70();
    return _el$;
  })();
}

// src/components/generated/ion-row.tsx
import { template as _$template71 } from "solid-js/web";
import { getOwner as _$getOwner71 } from "solid-js/web";
import { spread as _$spread71 } from "solid-js/web";
import { mergeProps as _$mergeProps71 } from "solid-js/web";
import { defineCustomElement as defineCustomElement71 } from "@ionic/core/components/ion-row";
var _tmpl$71 = /* @__PURE__ */ _$template71(`<ion-row>`, true, false);
defineCustomElement71();
function IonRow(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$71();
    _$spread71(_el$, _$mergeProps71(fixedProps), false, false);
    _el$._$owner = _$getOwner71();
    return _el$;
  })();
}

// src/components/generated/ion-searchbar.tsx
import { template as _$template72 } from "solid-js/web";
import { getOwner as _$getOwner72 } from "solid-js/web";
import { spread as _$spread72 } from "solid-js/web";
import { mergeProps as _$mergeProps72 } from "solid-js/web";
import { defineCustomElement as defineCustomElement72 } from "@ionic/core/components/ion-searchbar";
var _tmpl$72 = /* @__PURE__ */ _$template72(`<ion-searchbar>`, true, false);
defineCustomElement72();
function IonSearchbar(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$72();
    _$spread72(_el$, _$mergeProps72(fixedProps), false, false);
    _el$._$owner = _$getOwner72();
    return _el$;
  })();
}

// src/components/generated/ion-segment.tsx
import { template as _$template73 } from "solid-js/web";
import { getOwner as _$getOwner73 } from "solid-js/web";
import { spread as _$spread73 } from "solid-js/web";
import { mergeProps as _$mergeProps73 } from "solid-js/web";
import { defineCustomElement as defineCustomElement73 } from "@ionic/core/components/ion-segment";
var _tmpl$73 = /* @__PURE__ */ _$template73(`<ion-segment>`, true, false);
defineCustomElement73();
function IonSegment(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$73();
    _$spread73(_el$, _$mergeProps73(fixedProps), false, false);
    _el$._$owner = _$getOwner73();
    return _el$;
  })();
}

// src/components/generated/ion-segment-button.tsx
import { template as _$template74 } from "solid-js/web";
import { getOwner as _$getOwner74 } from "solid-js/web";
import { spread as _$spread74 } from "solid-js/web";
import { mergeProps as _$mergeProps74 } from "solid-js/web";
import { defineCustomElement as defineCustomElement74 } from "@ionic/core/components/ion-segment-button";
var _tmpl$74 = /* @__PURE__ */ _$template74(`<ion-segment-button>`, true, false);
defineCustomElement74();
function IonSegmentButton(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$74();
    _$spread74(_el$, _$mergeProps74(fixedProps), false, false);
    _el$._$owner = _$getOwner74();
    return _el$;
  })();
}

// src/components/generated/ion-select.tsx
import { template as _$template75 } from "solid-js/web";
import { getOwner as _$getOwner75 } from "solid-js/web";
import { spread as _$spread75 } from "solid-js/web";
import { mergeProps as _$mergeProps75 } from "solid-js/web";
import { defineCustomElement as defineCustomElement75 } from "@ionic/core/components/ion-select";
var _tmpl$75 = /* @__PURE__ */ _$template75(`<ion-select>`, true, false);
defineCustomElement75();
function IonSelect(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$75();
    _$spread75(_el$, _$mergeProps75(fixedProps), false, false);
    _el$._$owner = _$getOwner75();
    return _el$;
  })();
}

// src/components/generated/ion-select-option.tsx
import { template as _$template76 } from "solid-js/web";
import { getOwner as _$getOwner76 } from "solid-js/web";
import { spread as _$spread76 } from "solid-js/web";
import { mergeProps as _$mergeProps76 } from "solid-js/web";
import { defineCustomElement as defineCustomElement76 } from "@ionic/core/components/ion-select-option";
var _tmpl$76 = /* @__PURE__ */ _$template76(`<ion-select-option>`, true, false);
defineCustomElement76();
function IonSelectOption(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$76();
    _$spread76(_el$, _$mergeProps76(fixedProps), false, false);
    _el$._$owner = _$getOwner76();
    return _el$;
  })();
}

// src/components/generated/ion-select-popover.tsx
import { template as _$template77 } from "solid-js/web";
import { getOwner as _$getOwner77 } from "solid-js/web";
import { spread as _$spread77 } from "solid-js/web";
import { mergeProps as _$mergeProps77 } from "solid-js/web";
import { defineCustomElement as defineCustomElement77 } from "@ionic/core/components/ion-select-popover";
var _tmpl$77 = /* @__PURE__ */ _$template77(`<ion-select-popover>`, true, false);
defineCustomElement77();
function IonSelectPopover(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$77();
    _$spread77(_el$, _$mergeProps77(fixedProps), false, false);
    _el$._$owner = _$getOwner77();
    return _el$;
  })();
}

// src/components/generated/ion-skeleton-text.tsx
import { template as _$template78 } from "solid-js/web";
import { getOwner as _$getOwner78 } from "solid-js/web";
import { spread as _$spread78 } from "solid-js/web";
import { mergeProps as _$mergeProps78 } from "solid-js/web";
import { defineCustomElement as defineCustomElement78 } from "@ionic/core/components/ion-skeleton-text";
var _tmpl$78 = /* @__PURE__ */ _$template78(`<ion-skeleton-text>`, true, false);
defineCustomElement78();
function IonSkeletonText(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$78();
    _$spread78(_el$, _$mergeProps78(fixedProps), false, false);
    _el$._$owner = _$getOwner78();
    return _el$;
  })();
}

// src/components/generated/ion-spinner.tsx
import { template as _$template79 } from "solid-js/web";
import { getOwner as _$getOwner79 } from "solid-js/web";
import { spread as _$spread79 } from "solid-js/web";
import { mergeProps as _$mergeProps79 } from "solid-js/web";
import { defineCustomElement as defineCustomElement79 } from "@ionic/core/components/ion-spinner";
var _tmpl$79 = /* @__PURE__ */ _$template79(`<ion-spinner>`, true, false);
defineCustomElement79();
function IonSpinner(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$79();
    _$spread79(_el$, _$mergeProps79(fixedProps), false, false);
    _el$._$owner = _$getOwner79();
    return _el$;
  })();
}

// src/components/generated/ion-split-pane.tsx
import { template as _$template80 } from "solid-js/web";
import { getOwner as _$getOwner80 } from "solid-js/web";
import { spread as _$spread80 } from "solid-js/web";
import { mergeProps as _$mergeProps80 } from "solid-js/web";
import { defineCustomElement as defineCustomElement80 } from "@ionic/core/components/ion-split-pane";
var _tmpl$80 = /* @__PURE__ */ _$template80(`<ion-split-pane>`, true, false);
defineCustomElement80();
function IonSplitPane(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$80();
    _$spread80(_el$, _$mergeProps80(fixedProps), false, false);
    _el$._$owner = _$getOwner80();
    return _el$;
  })();
}

// src/components/generated/ion-tab.tsx
import { template as _$template81 } from "solid-js/web";
import { getOwner as _$getOwner81 } from "solid-js/web";
import { spread as _$spread81 } from "solid-js/web";
import { mergeProps as _$mergeProps81 } from "solid-js/web";
import { defineCustomElement as defineCustomElement81 } from "@ionic/core/components/ion-tab";
var _tmpl$81 = /* @__PURE__ */ _$template81(`<ion-tab>`, true, false);
defineCustomElement81();
function IonTab(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$81();
    _$spread81(_el$, _$mergeProps81(fixedProps), false, false);
    _el$._$owner = _$getOwner81();
    return _el$;
  })();
}

// src/components/generated/ion-tab-bar.tsx
import { template as _$template82 } from "solid-js/web";
import { getOwner as _$getOwner82 } from "solid-js/web";
import { spread as _$spread82 } from "solid-js/web";
import { mergeProps as _$mergeProps82 } from "solid-js/web";
import { defineCustomElement as defineCustomElement82 } from "@ionic/core/components/ion-tab-bar";
var _tmpl$82 = /* @__PURE__ */ _$template82(`<ion-tab-bar>`, true, false);
defineCustomElement82();
function IonTabBar(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$82();
    _$spread82(_el$, _$mergeProps82(fixedProps), false, false);
    _el$._$owner = _$getOwner82();
    return _el$;
  })();
}

// src/components/generated/ion-tab-button.tsx
import { template as _$template83 } from "solid-js/web";
import { getOwner as _$getOwner83 } from "solid-js/web";
import { spread as _$spread83 } from "solid-js/web";
import { mergeProps as _$mergeProps83 } from "solid-js/web";
import { defineCustomElement as defineCustomElement83 } from "@ionic/core/components/ion-tab-button";
var _tmpl$83 = /* @__PURE__ */ _$template83(`<ion-tab-button>`, true, false);
defineCustomElement83();
function IonTabButton(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$83();
    _$spread83(_el$, _$mergeProps83(fixedProps), false, false);
    _el$._$owner = _$getOwner83();
    return _el$;
  })();
}

// src/components/generated/ion-tabs.tsx
import { template as _$template84 } from "solid-js/web";
import { getOwner as _$getOwner84 } from "solid-js/web";
import { spread as _$spread84 } from "solid-js/web";
import { mergeProps as _$mergeProps84 } from "solid-js/web";
import { defineCustomElement as defineCustomElement84 } from "@ionic/core/components/ion-tabs";
var _tmpl$84 = /* @__PURE__ */ _$template84(`<ion-tabs>`, true, false);
defineCustomElement84();
function IonTabs(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$84();
    _$spread84(_el$, _$mergeProps84(fixedProps), false, false);
    _el$._$owner = _$getOwner84();
    return _el$;
  })();
}

// src/components/generated/ion-text.tsx
import { template as _$template85 } from "solid-js/web";
import { getOwner as _$getOwner85 } from "solid-js/web";
import { spread as _$spread85 } from "solid-js/web";
import { mergeProps as _$mergeProps85 } from "solid-js/web";
import { defineCustomElement as defineCustomElement85 } from "@ionic/core/components/ion-text";
var _tmpl$85 = /* @__PURE__ */ _$template85(`<ion-text>`, true, false);
defineCustomElement85();
function IonText(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$85();
    _$spread85(_el$, _$mergeProps85(fixedProps), false, false);
    _el$._$owner = _$getOwner85();
    return _el$;
  })();
}

// src/components/generated/ion-textarea.tsx
import { template as _$template86 } from "solid-js/web";
import { getOwner as _$getOwner86 } from "solid-js/web";
import { spread as _$spread86 } from "solid-js/web";
import { mergeProps as _$mergeProps86 } from "solid-js/web";
import { defineCustomElement as defineCustomElement86 } from "@ionic/core/components/ion-textarea";
var _tmpl$86 = /* @__PURE__ */ _$template86(`<ion-textarea>`, true, false);
defineCustomElement86();
function IonTextarea(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$86();
    _$spread86(_el$, _$mergeProps86(fixedProps), false, false);
    _el$._$owner = _$getOwner86();
    return _el$;
  })();
}

// src/components/generated/ion-thumbnail.tsx
import { template as _$template87 } from "solid-js/web";
import { getOwner as _$getOwner87 } from "solid-js/web";
import { spread as _$spread87 } from "solid-js/web";
import { mergeProps as _$mergeProps87 } from "solid-js/web";
import { defineCustomElement as defineCustomElement87 } from "@ionic/core/components/ion-thumbnail";
var _tmpl$87 = /* @__PURE__ */ _$template87(`<ion-thumbnail>`, true, false);
defineCustomElement87();
function IonThumbnail(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$87();
    _$spread87(_el$, _$mergeProps87(fixedProps), false, false);
    _el$._$owner = _$getOwner87();
    return _el$;
  })();
}

// src/components/generated/ion-title.tsx
import { template as _$template88 } from "solid-js/web";
import { getOwner as _$getOwner88 } from "solid-js/web";
import { spread as _$spread88 } from "solid-js/web";
import { mergeProps as _$mergeProps88 } from "solid-js/web";
import { defineCustomElement as defineCustomElement88 } from "@ionic/core/components/ion-title";
var _tmpl$88 = /* @__PURE__ */ _$template88(`<ion-title>`, true, false);
defineCustomElement88();
function IonTitle(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$88();
    _$spread88(_el$, _$mergeProps88(fixedProps), false, false);
    _el$._$owner = _$getOwner88();
    return _el$;
  })();
}

// src/components/generated/ion-toast.tsx
import { template as _$template89 } from "solid-js/web";
import { getOwner as _$getOwner89 } from "solid-js/web";
import { spread as _$spread89 } from "solid-js/web";
import { mergeProps as _$mergeProps89 } from "solid-js/web";
import { defineCustomElement as defineCustomElement89 } from "@ionic/core/components/ion-toast";
var _tmpl$89 = /* @__PURE__ */ _$template89(`<ion-toast>`, true, false);
defineCustomElement89();
function IonToast(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$89();
    _$spread89(_el$, _$mergeProps89(fixedProps), false, false);
    _el$._$owner = _$getOwner89();
    return _el$;
  })();
}

// src/components/generated/ion-toggle.tsx
import { template as _$template90 } from "solid-js/web";
import { getOwner as _$getOwner90 } from "solid-js/web";
import { spread as _$spread90 } from "solid-js/web";
import { mergeProps as _$mergeProps90 } from "solid-js/web";
import { defineCustomElement as defineCustomElement90 } from "@ionic/core/components/ion-toggle";
var _tmpl$90 = /* @__PURE__ */ _$template90(`<ion-toggle>`, true, false);
defineCustomElement90();
function IonToggle(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$90();
    _$spread90(_el$, _$mergeProps90(fixedProps), false, false);
    _el$._$owner = _$getOwner90();
    return _el$;
  })();
}

// src/components/generated/ion-toolbar.tsx
import { template as _$template91 } from "solid-js/web";
import { getOwner as _$getOwner91 } from "solid-js/web";
import { spread as _$spread91 } from "solid-js/web";
import { mergeProps as _$mergeProps91 } from "solid-js/web";
import { defineCustomElement as defineCustomElement91 } from "@ionic/core/components/ion-toolbar";
var _tmpl$91 = /* @__PURE__ */ _$template91(`<ion-toolbar>`, true, false);
defineCustomElement91();
function IonToolbar(props) {
  const fixedProps = () => fixProps(props);
  return (() => {
    var _el$ = _tmpl$91();
    _$spread91(_el$, _$mergeProps91(fixedProps), false, false);
    _el$._$owner = _$getOwner91();
    return _el$;
  })();
}

// src/components/ComponentRef.tsx
import { memo as _$memo } from "solid-js/web";
import { customElement } from "solid-element";
import { mergeProps } from "solid-js";
function ComponentRef(props, options) {
  const mergedProps = mergeProps(props.componentProps ?? {}, {
    componentOptions: {
      element: options.element
    }
  });
  return _$memo(() => props.component(mergedProps));
}
var ComponentRefElementName = "solid-ion-component-ref";
customElement(ComponentRefElementName, {
  component: () => [],
  componentProps: void 0,
  data: void 0
}, ComponentRef);

// src/components/ion-icon.tsx
import { template as _$template92 } from "solid-js/web";
import { getOwner as _$getOwner92 } from "solid-js/web";
import { spread as _$spread92 } from "solid-js/web";
import { defineCustomElement as defineCustomElement92 } from "ionicons/components/ion-icon";
var _tmpl$92 = /* @__PURE__ */ _$template92(`<ion-icon>`, true, false);
defineCustomElement92();
function IonIcon(props) {
  return (() => {
    var _el$ = _tmpl$92();
    _$spread92(_el$, props, false, false);
    _el$._$owner = _$getOwner92();
    return _el$;
  })();
}

// src/components/ion-router.tsx
import { template as _$template93 } from "solid-js/web";
import { insert as _$insert } from "solid-js/web";
import { createComponent as _$createComponent } from "solid-js/web";
import { getOwner as _$getOwner93 } from "solid-js/web";
import { use as _$use } from "solid-js/web";
import { spread as _$spread93 } from "solid-js/web";
import { mergeProps as _$mergeProps92 } from "solid-js/web";
import { defineCustomElement as defineCustomElement93 } from "@ionic/core/components/ion-router";
import { createEffect, createSignal, splitProps } from "solid-js";

// src/hooks/useRouter.tsx
import { createContext, useContext } from "solid-js";
var RouterContext = createContext();
function useRouter() {
  return useContext(RouterContext);
}
var RouterContextProvider = RouterContext.Provider;

// src/components/ion-router.tsx
var _tmpl$93 = /* @__PURE__ */ _$template93(`<ion-router>`, true, false);
defineCustomElement93();
function IonRouter(props) {
  const [_, propsToFix] = splitProps(props, ["ref"]);
  const fixedProps = () => fixProps(propsToFix);
  const [router, setRouter] = createSignal();
  createEffect(() => {
    const routerElement = router();
    if (typeof props.ref === "function") {
      if (routerElement) {
        props.ref(routerElement);
      }
    } else if (props.ref !== void 0) {
      props.ref = routerElement;
    }
  });
  return (() => {
    var _el$ = _tmpl$93();
    _$use(setRouter, _el$);
    _$spread93(_el$, _$mergeProps92(fixedProps), false, true);
    _el$._$owner = _$getOwner93();
    _$insert(_el$, _$createComponent(RouterContextProvider, {
      get value() {
        return router();
      },
      get children() {
        return props.children;
      }
    }));
    return _el$;
  })();
}

// src/components/ion-route.tsx
import { template as _$template94 } from "solid-js/web";
import { effect as _$effect } from "solid-js/web";
import { getOwner as _$getOwner94 } from "solid-js/web";
import { spread as _$spread94 } from "solid-js/web";
import { mergeProps as _$mergeProps93 } from "solid-js/web";
import { memo as _$memo2 } from "solid-js/web";
import { createComponent as _$createComponent2 } from "solid-js/web";
import { defineCustomElement as defineCustomElement94 } from "@ionic/core/components/ion-route";
import { splitProps as splitProps2 } from "solid-js";
var _tmpl$94 = /* @__PURE__ */ _$template94(`<ion-route>`, true, false);
defineCustomElement94();
function RouteRouterContextProvider(props) {
  Object.defineProperty(props.componentOptions.element, "renderRoot", {
    value: props.componentOptions.element
  });
  return _$createComponent2(RouterContextProvider, {
    get value() {
      return props.router;
    },
    get children() {
      return props.component(props.componentProps);
    }
  });
}
function IonRoute(props) {
  const router = useRouter();
  const [_, propsToFix] = splitProps2(props, ["component", "componentProps"]);
  const fixedProps = () => fixProps(propsToFix);
  return (() => {
    var _el$ = _tmpl$94();
    _$spread94(_el$, _$mergeProps93(fixedProps, {
      get component() {
        return typeof props.component === "string" ? props.component : ComponentRefElementName;
      }
    }), false, false);
    _el$._$owner = _$getOwner94();
    _$effect(() => _el$.componentProps = typeof props.component === "string" ? void 0 : {
      component: RouteRouterContextProvider,
      componentProps: {
        component: props.component,
        componentProps: props.componentProps ?? {},
        router
      }
    });
    return _el$;
  })();
}

// src/utils/setupIonicSolid.ts
import { initialize } from "@ionic/core/components";
function setupIonicSolid(config = {}) {
  if (typeof document !== "undefined") {
    document.documentElement.classList.add("ion-ce");
  }
  initialize({
    ...config
  });
}
export {
  ComponentRef,
  ComponentRefElementName,
  IonAccordion,
  IonAccordionGroup,
  IonActionSheet,
  IonAlert,
  IonApp,
  IonAvatar,
  IonBackButton,
  IonBackdrop,
  IonBadge,
  IonBreadcrumb,
  IonBreadcrumbs,
  IonButton,
  IonButtons,
  IonCard,
  IonCardContent,
  IonCardHeader,
  IonCardSubtitle,
  IonCardTitle,
  IonCheckbox,
  IonChip,
  IonCol,
  IonContent,
  IonDatetime,
  IonDatetimeButton,
  IonFab,
  IonFabButton,
  IonFabList,
  IonFooter,
  IonGrid,
  IonHeader,
  IonIcon,
  IonImg,
  IonInfiniteScroll,
  IonInfiniteScrollContent,
  IonInput,
  IonInputPasswordToggle,
  IonItem,
  IonItemDivider,
  IonItemGroup,
  IonItemOption,
  IonItemOptions,
  IonItemSliding,
  IonLabel,
  IonList,
  IonListHeader,
  IonLoading,
  IonMenu,
  IonMenuButton,
  IonMenuToggle,
  IonModal,
  IonNav,
  IonNavLink,
  IonNote,
  IonPicker,
  IonPickerColumn,
  IonPickerColumnOption,
  IonPickerLegacy,
  IonPickerLegacyColumn,
  IonPopover,
  IonProgressBar,
  IonRadio,
  IonRadioGroup,
  IonRange,
  IonRefresher,
  IonRefresherContent,
  IonReorder,
  IonReorderGroup,
  IonRippleEffect,
  IonRoute,
  IonRouteRedirect,
  IonRouter,
  IonRouterLink,
  IonRouterOutlet,
  IonRow,
  IonSearchbar,
  IonSegment,
  IonSegmentButton,
  IonSelect,
  IonSelectOption,
  IonSelectPopover,
  IonSkeletonText,
  IonSpinner,
  IonSplitPane,
  IonTab,
  IonTabBar,
  IonTabButton,
  IonTabs,
  IonText,
  IonTextarea,
  IonThumbnail,
  IonTitle,
  IonToast,
  IonToggle,
  IonToolbar,
  RouterContext,
  RouterContextProvider,
  setupIonicSolid,
  useRouter
};
//# sourceMappingURL=index.mjs.map